Subject: RE: [PATCH net] r8169: fix rtl8168h rx crc error

From: Hau <[email-masked]>
Date: Thu, 23 Mar 2023 13:57:48 +0000

> On Wed, 22 Mar 2023 12:13:12 +0000 Hau wrote:
> > > Don't forget to add the fixes tag.
> > > Another comment that I usually get is to replace hardcoded values
> > > with defines, but on the other side I can see that this file already
> > > has plently of hardcoded values.
> >
> > It is not a fix for a specific commit. PHY 10m pll off is an power
> > saving feature which is enabled by H/W default. This issue can be
> > fixed by disable PHY 10m pll off.
> 
> How far back can the issue be reproduced? Is it only possible with certain
> device types? Then the Fixes tag should point at the commit which added
> support for the devices. Was it always present since 2.6 kernels? Put the first
> commit in the git history as Fixes.
> 
RTL8168H is the only chip we know that has this issue. This issue is related to the H/W default setting.
So I will add a Fixes tag to the commit which added support for this chip and submit the patch again.

------Please consider the environment before printing this e-mail.